from pylab import *

n = 200 #250

#a = linspace(0, 100, n + 1)
a = logspace(-3, 3, n + 1)
ma = 1 / sqrt(1 + a**2) 
m = a * ma

deg = linspace(0, 360, 181)
wt = radians(deg)
s = sin(wt)
c = cos(wt)

rc('text', usetex=True)
rc('font', family='serif')
rc('font', size = 12)
rcParams['text.latex.preamble']=[r"\usepackage{amsmath}"]

for i in range(n + 1):
    figure(1, figsize = (4, 3))
    clf()
    mce = 1 - m[i] * c
    jc = 1 + m[i] * c + ma[i] * s
    plot(mce, jc)
    plot(1, 1, 'r+')
    text(1, 1, r'$Q$', horizontalalignment = 'left', verticalalignment = 'bottom')
    xlim(0, 2)
    ylim(0, 2)
    xlabel(r'$v_{CE} / V_{CC}$')
    ylabel(r'$i_C / I_{CQ}$')
    title(r'$\log_{10} \left( \frac{\omega_0 \, L}{R} \right) = ' + r'{:.2f}'.format(log10(a[i])) + r'$')
    savefig('RL{:03d}.png'.format(i), bbox_inches = 'tight', dpi = 300)

